Bug 1573405 - Please build python2-net-snmp
Summary: Please build python2-net-snmp
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: 28
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Ridky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 05:58 UTC by Jan ONDREJ
Modified: 2019-05-28 20:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:19:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Jan ONDREJ 2018-05-01 05:58:20 UTC
Description of problem:
Even if it's not required by Fedora packaging guidelines, please build python2 package for net-snmp library. There are still lot's of unported python packages in Fedora 28.

Other reason is, that looks like net-snmp is not fully python3 compatible.
See steps to reproduce for more info.

Looks like net-snmp upstream doesn't support python3, then you shouldn't convert it into a python3 package, but should contact upstream to do this. According to guidelines:

If it supports only python2 then (obviously) it MUST NOT be packaged for python3 but upstream SHOULD be contacted and encouraged to rectify this issue. 

Version-Release number of selected component (if applicable):
python3-net-snmp-5.7.3-36.fc28.x86_64

How reproducible:
always

Steps to Reproduce:
1. python3
2. import netsnmp

Actual results:
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib64/python3.6/site-packages/netsnmp/__init__.py", line 1, in <module>
    from client import *
ModuleNotFoundError: No module named 'client'                                  

Expected results:
no error

Additional info:
Looks like you have to use "from .client import *"

Comment 1 Jan ONDREJ 2018-05-21 08:27:28 UTC
PING

Please, fix this before Fedora 26 EOL.
Let me know, if I can help.

Comment 2 Josef Ridky 2018-05-21 08:47:04 UTC
Hi Honzo,

python3 version of net-snmp is available for Fedora 28+ only. I know, that python3 conversion isn't complete yet an contains some mistakes. 
I am working on it to have it done ASAP.

Comment 3 Ben Cotton 2019-05-02 21:43:51 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 20:19:51 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.